Bug 213237 - Firefox crash due to javascript-triggered NULL pointer dereference
Firefox crash due to javascript-triggered NULL pointer dereference
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
http://www.gotfault.net/research/advi...
reported=20061031,source=fulldisclosu...
:
Depends On:
Blocks: 213238
  Show dependency treegraph
 
Reported: 2006-10-31 07:53 EST by Lubomir Kundrak
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 21:16:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox 1.5.0.7 crash testcase (368 bytes, text/plain)
2006-10-31 07:53 EST, Lubomir Kundrak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 358797 None None None Never

  None (edit)
Description Lubomir Kundrak 2006-10-31 07:53:46 EST
Description of problem:

Mozilla Firefox is prone to a DoS within its javascript Range object. In a
special condition, a NULL Pointer Deference occur and Firefox crashes.
Refer to advisory text or attached testcase for details.

Version-Release number of selected component (if applicable):
1.5.0.7
Comment 1 Lubomir Kundrak 2006-10-31 07:53:46 EST
Created attachment 139850 [details]
Firefox 1.5.0.7 crash testcase
Comment 2 Lubomir Kundrak 2006-10-31 08:00:48 EST
Comment on attachment 139850 [details]
Firefox 1.5.0.7 crash testcase

I set the MIME type of the patch to text/plain, for obvious reason.
Comment 3 Josh Bressers 2006-11-02 21:16:19 EST
This issue is simply a NULL dereference crash, follow the thread.

http://www.securityfocus.com/archive/1/archive/1/450167/100/0/threaded

I'm removing the Security keyword.

Note You need to log in before you can comment on or make changes to this bug.